package ru.ulstu.extractor.markup.service;

import org.springframework.stereotype.Service;
import ru.ulstu.extractor.markup.model.Markup;
import ru.ulstu.extractor.markup.model.MarkupForm;
import ru.ulstu.extractor.markup.repository.MarkupRepository;

@Service
public class MarkupService {
    private final MarkupRepository markupRepository;

    public MarkupService(MarkupRepository markupRepository) {
        this.markupRepository = markupRepository;
    }

    public void saveMarkup(MarkupForm markupForm) {
        markupForm.getMarkupRows().forEach(markupRow -> markupRepository.save(new Markup(markupRow)));
    }
}
